Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class SoundMediaHandler

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.SoundMediaHandler

All Implemented Interfaces:
  AudioMediaHandler, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  MusicMediaHandler

public class SoundMediaHandler
extends MediaHandler
implements quicktime.jdirect.QuickTimeLib, AudioMediaHandler, quicktime.jdirect.PrimitivesLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`float` | `getBalance()` Returns the balance of a sound media.
`int[]` | `getSoundBassAndTreble()` Gets Sound Bass and Treble (Not Documented).
`int[]` | `getSoundEqualizerBandLevels(int count)` Gets SoundEqualizer BandLevels .
`MediaEQSpectrumBands` | `getSoundEqualizerBands(int count)` Pass in the count of bands you expect to get back, it would return the the actual value of bands available with the freq.
`LevelMeterInfo` | `getSoundLevelMeterInfo()` Gets Sound Level Meter state (Not Documented).
`boolean` | `getSoundLevelMeteringEnabled()` Gets Sound Level Meter state (Not Documented).
`void` | `setBalance(float balance)` Sets the balance of a sound media.
`void` | `setSoundBassAndTreble(int bass, int treble)` Sets Sound Bass and Treble (Not Documented).
`void` | `setSoundEqualizerBands(MediaEQSpectrumBands spectrumInfo)` Pass in the count of bands you expect to get back, it would return the the actual value of bands available with array of freq.
`void` | `setSoundLevelMeteringEnabled(boolean enabled)` Enables Sound Level Meter (Not Documented).

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getBalance

    public final float getBalance()
                           throws StdQTException

  Returns the balance of a sound media. Range from -1.0 (Left) to 0 (Equal) to 1.0 (Right).
  QuickTime::MediaGetSoundBalance()
Specified by:
  `getBalance` in interface `AudioMediaHandler`

  Returns:
    the balance value

### setBalance

    public final void setBalance(float balance)
                          throws StdQTException

  Sets the balance of a sound media. Range from -1.0 (Left) to 0 (Equal) to 1.0 (Right).
  QuickTime::MediaSetSoundBalance()
Specified by:
  `setBalance` in interface `AudioMediaHandler`

  Parameters:
    `balance` - the new balance value.

### getSoundLevelMeteringEnabled

    public final boolean getSoundLevelMeteringEnabled()
                                               throws StdQTException

  Gets Sound Level Meter state (Not Documented).
  QuickTime::MediaGetSoundLevelMeteringEnabled
Specified by:
  `getSoundLevelMeteringEnabled` in interface `AudioMediaHandler`

  Returns:
    the balance value

### setSoundLevelMeteringEnabled

    public final void setSoundLevelMeteringEnabled(boolean enabled)
                                            throws StdQTException

  Enables Sound Level Meter (Not Documented).
  QuickTime::MediaSetSoundLevelMeteringEnabled
Specified by:
  `setSoundLevelMeteringEnabled` in interface `AudioMediaHandler`

  Parameters:
    `enabled` - true if enabled

### getSoundLevelMeterInfo

    public final LevelMeterInfo getSoundLevelMeterInfo()
                                                throws StdQTException

  Gets Sound Level Meter state (Not Documented).
  QuickTime::MediaGetSoundLevelMeterInfo
Specified by:
  `getSoundLevelMeterInfo` in interface `AudioMediaHandler`

  Returns:
    LevelMeterInfo object

### getSoundEqualizerBands

    public final MediaEQSpectrumBands getSoundEqualizerBands(int count)
                                                      throws StdQTException

  Pass in the count of bands you expect to get back, it would return the the actual value of bands available with the freq. (Not Documented).
  QuickTime::MediaGetSoundEqualizerBands
Specified by:
  `getSoundEqualizerBands` in interface `AudioMediaHandler`

  Returns:
    MediaEQSpectrumBandsRecord object

### setSoundEqualizerBands

    public final void setSoundEqualizerBands(MediaEQSpectrumBands spectrumInfo)
                                      throws StdQTException

  Pass in the count of bands you expect to get back, it would return the the actual value of bands available with array of freq. (Not Documented).
  QuickTime::MediaSetSoundEqualizerBands
Specified by:
  `setSoundEqualizerBands` in interface `AudioMediaHandler`

  Returns:
    MediaEQSpectrumBandsRecord object

### setSoundBassAndTreble

    public final void setSoundBassAndTreble(int bass,
                                            int treble)
                                     throws StdQTException

  Sets Sound Bass and Treble (Not Documented). Range is -1 to 1 where 0 is unity gain, 256 is maximum boost, -256 is maximum attenuation.
  QuickTime::MediaSetSoundBassAndTreble
Specified by:
  `setSoundBassAndTreble` in interface `AudioMediaHandler`

  Parameters:
    `bass` - the sound bass
    `treble` - the sound treble

### getSoundBassAndTreble

    public final int[] getSoundBassAndTreble()
                                      throws StdQTException

  Gets Sound Bass and Treble (Not Documented). Range is -1 to 1 where 0 is unity gain, 256 is maximum boost, -256 is maximum attenuation.
  QuickTime::MediaGetSoundBassAndTreble
Specified by:
  `getSoundBassAndTreble` in interface `AudioMediaHandler`

  Returns:
    an array on length 2, containing 1st element as bass and 2nd element as treble.

### getSoundEqualizerBandLevels

    public final int[] getSoundEqualizerBandLevels(int count)
                                            throws StdQTException

  Gets SoundEqualizer BandLevels . the levels is equal to the bands count ( from the getSoundEqualizerBands) you pass in the expected count of levels and it would return the array of levels of count length having band levels.(Not Documented)
  QuickTime::MediaGetSoundEqualizerBandLevels
Specified by:
  `getSoundEqualizerBandLevels` in interface `AudioMediaHandler`

  Returns:
    bandLevels

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD